X2Go Bug report logs - #302
No session resume

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Avi Elbaz <avilebaz@gmail.com>

Date: Thu, 5 Sep 2013 16:03:01 UTC

Severity: normal

Tags: confirmed, patch, pending

Merged with 206, 263

Found in version 3.5.0.24

Fixed in version 3.5.0.25

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#302; Package x2goserver. (Thu, 05 Sep 2013 16:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Avi Elbaz <avilebaz@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 05 Sep 2013 16:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Avi Elbaz <avilebaz@gmail.com>
To: submit@bugs.x2go.org
Subject: No session resume
Date: Thu, 5 Sep 2013 17:55:52 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.6-0~712~precise1

Hello,

It is not possible to resume the session with windows X2Go client V.4.0.1.0
, even if it is correctly suspended before.
This problem appear with the x2goserver update from v
4.0.0.2-0~667~precise1 to the last  4.0.1.6-0~712~precise1 version,
before everything was working perfectly :/
To have a new session I need to kill the previous one.
Below I paste the content from some log,

Best regards from Paris and thank a lot for your software,
Avi


*The windows file "session":*
*
*
*Loop: WARNING! Unrecognized session type 'unix-kde-depth_32'. Assuming
agent session.**
**Auth: WARNING! Failed to read data from the X auth command.**
**Auth: WARNING! Generating a fake cookie for X authentication.**
**Loop: WARNING! Could not retrieve the X server authentication cookie.*
*
*
*The server session.log:*
*
**running as X2Go Agent**
**
**NXAGENT - Version 3.5.0**
**
**Copyright (C) 2001, 2011 NoMachine.**
**See http://www.nomachine.com/ for more information.**
**
**Info: Agent running with pid '7219'.**
**Session: Starting session at 'Thu Sep 5 16:54:51 2013'.**
**Info: Proxy running in server mode with pid '7219'.**
**Info: Waiting for connection from 'localhost' on port '30001'.**
**Info: Accepted connection from '127.0.0.1'.**
**Info: Connection with remote proxy completed.**
**Info: Using ADSL link parameters 512/24/1/0.**
**Info: Using agent parameters 5000/10/50/0/0.**
**Info: Using cache parameters 4/4096KB/8192KB/8192KB.**
**Info: Using pack method '16m-jpeg-7' with session 'unix-kde-depth_32'.**
**Info: Using ZLIB data compression 1/1/32.**
**Info: Using ZLIB stream compression 4/4.**
**Info: No suitable cache file found.**
**Info: Listening to X11 connections on display ':50'.**
**Info: Established X client connection.**
**Info: Using shared memory parameters 1/1/0/0K.**
**Info: Using alpha channel in render extension.**
**Info: Not using local device configuration changes.**
**keyboard file created**
**SessionPath not defined**
**Session: Session started at 'Thu Sep 5 16:54:54 2013'.**
**Info: Screen [0] resized to geometry [800x600] fullscreen [0].**
**Info: Screen [0] resized to geometry [1616x1028] fullscreen [0].**
**Session: Suspending session at 'Thu Sep 5 16:56:07 2013'.**
**Info: Waiting the cleanup timeout to complete.**
**Session: Session suspended at 'Thu Sep 5 16:56:07 2013'.**
**Session: Resuming session at 'Thu Sep 5 16:56:20 2013'.**
**Info: Proxy running in server mode with pid '7219'.**
**Info: Waiting for connection from 'localhost' on port '30001'.**
**Info: Aborting the procedure due to signal '15'.**
**Session: Display failure detected at 'Thu Sep 5 16:57:02 2013'.**
**Session: Suspending session at 'Thu Sep 5 16:57:02 2013'.**
**Session: Session suspended at 'Thu Sep 5 16:57:02 2013'.** *
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#302; Package x2goserver. (Mon, 03 Mar 2014 18:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrik Heinz <patrik.heinz@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 03 Mar 2014 18:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 302@bugs.x2go.org (full text, mbox):

From: Patrik Heinz <patrik.heinz@gmail.com>
To: 302@bugs.x2go.org
Subject: Re: No session resume
Date: Mon, 03 Mar 2014 19:17:12 +0100
[Message part 1 (text/plain, inline)]
I can confirm this bug, I run Debian wheezy with the following versions:
x2goagent: 3.5.0.22
x2goserver: 4.0.1.13
x2goserver-extensions: 4.0.1.13
x2goserver-xsession: 4.0.1.13

The weird part was that in another virtual machine with the same current
Version from the repository the bug doesn't appear.

Here are my Debug logs from the bare-metal machine which reproduces the
bug every time (one login, then disconnect, then try so reconnect to the
suspend session):

Mar  3 19:12:17 mydebianbox /usr/bin/x2golistsessions[5610]:
x2golistsessions has been called with no option
Mar  3 19:12:18 mydebianbox /usr/bin/x2gostartagent: x2gostartagent
called with options: 800x600 lan 16m-jpeg-9 unix-kde-depth_32 de auto 1
D XFCE
Mar  3 19:12:18 mydebianbox /usr/bin/x2gostartagent: client announced
itself as ,,192.168.10.98''
Mar  3 19:12:18 mydebianbox /usr/bin/x2gosessionlimit[5642]:
x2gosessionlimit has been called
Mar  3 19:12:18 mydebianbox /usr/bin/x2golistsessions[5645]:
x2golistsessions has been called with options: --all-servers
Mar  3 19:12:18 mydebianbox /usr/lib/x2go/x2gogetdisplays[5660]:
db_getdisplays called, server: mydebianbox; return value:
Mar  3 19:12:18 mydebianbox /usr/lib/x2go/x2gogetports[5669]:
db_getports called, server: mydebianbox; return value:
Mar  3 19:12:18 mydebianbox /usr/lib/x2go/x2gogetdisplays[5682]:
db_getdisplays called, server: mydebianbox; return value:
Mar  3 19:12:18 mydebianbox /usr/lib/x2go/x2gogetports[5691]:
db_getports called, server: mydebianbox; return value:
Mar  3 19:12:18 mydebianbox /usr/lib/x2go/x2gogetdisplays[5704]:
db_getdisplays called, server: mydebianbox; return value:
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2gogetports[5713]:
db_getports called, server: mydebianbox; return value:
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2goinsertsession[5734]:
db_insertsession called, session ID:
username-52-1393870339_stDXFCE_dp32, server: mydebianbox, session ID:
username-52-1393870339_stDXFCE_dp32
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2gogetports[5743]:
db_getports called, server: mydebianbox; return value:
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2goinsertport[5757]:
db_insertport called, session ID: username-52-1393870339_stDXFCE_dp32,
server: mydebianbox, SSH port: 30001
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2gogetports[5766]:
db_getports called, server: mydebianbox; return value: |30001|
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2goinsertport[5780]:
db_insertport called, session ID: username-52-1393870339_stDXFCE_dp32,
server: mydebianbox, SSH port: 30002
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2gogetports[5789]:
db_getports called, server: mydebianbox; return value: |30001| |30002|
Mar  3 19:12:19 mydebianbox /usr/lib/x2go/x2goinsertport[5803]:
db_insertport called, session ID: username-52-1393870339_stDXFCE_dp32,
server: mydebianbox, SSH port: 30003
Mar  3 19:12:19 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:19 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:19 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 pre-start
Mar  3 19:12:19 mydebianbox /usr/bin/x2gostartagent: successfully
started X2Go agent session with ID username-52-1393870339_stDXFCE_dp32
Mar  3 19:12:19 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:20 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 post-start
Mar  3 19:12:20 mydebianbox /usr/lib/x2go/x2gocreatesession[5881]:
db_createsession called, session ID:
username-52-1393870339_stDXFCE_dp32, cookie:
275b334db36106a3cdc1ba8732e1ee7b, client: 192.168.10.98, pid: 5848,
graphics port: 30001, sound port: 30002, file sharing port: 30003
Mar  3 19:12:21 mydebianbox /usr/bin/x2goruncommand: x2goruncommand
called with options: 52 5848 username-52-1393870339_stDXFCE_dp32 30002
xfce4-session nosnd D
Mar  3 19:12:21 mydebianbox /usr/bin/x2goruncommand: exporting
LD_LIBRARY_PATH=/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
Mar  3 19:12:21 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:21 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:21 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 pre-runcommand
Mar  3 19:12:21 mydebianbox /usr/bin/x2goruncommand: running command
/usr/bin/xfce4-session
Mar  3 19:12:21 mydebianbox /usr/bin/x2gosetkeyboard: x2gosetkeyboard
called with options:
Mar  3 19:12:21 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_XSESSION
Mar  3 19:12:21 mydebianbox /usr/bin/x2gosetkeyboard: Setting X keyboard
according to
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard
Mar  3 19:12:21 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_XSESSION
Mar  3 19:12:21 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver.features: x2goserver.features
called with options: X2GO_XSESSION
Mar  3 19:12:21 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-xsession.features:
x2goserver-xsession.features called with options: X2GO_XSESSION
Mar  3 19:12:21 mydebianbox /usr/bin/x2goruncommand: launching session
with Xsession-x2go mechanism, using STARTUP="xfce4-session"
Mar  3 19:12:21 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/20x11-common_process-args
Mar  3 19:12:21 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/30x11-common_xresources
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/35x11-common_xhost-local
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/40x11-common_xsessionrc
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/50x11-common_determine-startup
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/60xdg-user-dirs-update
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/75dbus_dbus-launch
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/90consolekit
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/90gpg-agent
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/90x11-common_ssh-agent
Mar  3 19:12:22 mydebianbox /etc/x2go/Xsession: executing
/etc/x2go/Xsession.d/99x11-common_start
Mar  3 19:12:37 mydebianbox /usr/bin/x2gosuspend-session:
x2gosuspend-session called with options: username-52-1393870339_stDXFCE_dp32
Mar  3 19:12:37 mydebianbox /usr/lib/x2go/x2gogetagent[6352]:
db_getagent called, session ID: username-52-1393870339_stDXFCE_dp32;
return value: 5848
Mar  3 19:12:37 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_DESKTOPSHARING
Mar  3 19:12:37 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_DESKTOPSHARING
Mar  3 19:12:37 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver.features: x2goserver.features
called with options: X2GO_DESKTOPSHARING
Mar  3 19:12:37 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-xsession.features:
x2goserver-xsession.features called with options: X2GO_DESKTOPSHARING
Mar  3 19:12:37 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:38 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:38 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 pre-suspend
Mar  3 19:12:38 mydebianbox /usr/bin/x2gosuspend-session: session with
ID username-52-1393870339_stDXFCE_dp32 has been suspended successfully
Mar  3 19:12:38 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:38 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:12:38 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 post-suspend
Mar  3 19:12:38 mydebianbox /usr/lib/x2go/x2gochangestatus[6452]:
db_changestatus called, session ID: username-52-1393870339_stDXFCE_dp32,
new status: S
Mar  3 19:12:38 mydebianbox /usr/bin/x2goumount-session[6460]:
x2goumount-session has been called with options:
username-52-1393870339_stDXFCE_dp32
Mar  3 19:12:38 mydebianbox /usr/bin/x2goumount-session[6460]:
db_getdisplay called, session ID: username-52-1393870339_stDXFCE_dp32;
return value: 52
Mar  3 19:12:38 mydebianbox /usr/bin/x2goumount-session[6460]:
db_getmounts called, session ID: username-52-1393870339_stDXFCE_dp32;
return value:
Mar  3 19:12:38 mydebianbox /usr/bin/x2gocmdexitmessage:
x2gocmdexitmessage called with options: username-52-1393870339_stDXFCE_dp32
Mar  3 19:12:38 mydebianbox /usr/bin/x2gocmdexitmessage: command output
starts with: exec xfce4-session
Mar  3 19:13:18 mydebianbox /usr/bin/x2golistsessions[6674]:
x2golistsessions has been called with no option
Mar  3 19:13:19 mydebianbox /usr/lib/x2go/x2gogetagent[6686]:
db_getagent called, session ID: username-52-1393870339_stDXFCE_dp32;
return value: 5848
Mar  3 19:13:19 mydebianbox /usr/bin/x2goresume-session:
x2goresume-session called with options:
username-52-1393870339_stDXFCE_dp32 800x600 lan 16m-jpeg-9 de auto 1
Mar  3 19:13:19 mydebianbox /usr/bin/x2golistsessions[6699]:
x2golistsessions has been called with no option
Mar  3 19:13:19 mydebianbox /usr/bin/x2goresume-session: old ports:
30001, 30002, 30003
Mar  3 19:13:19 mydebianbox /usr/lib/x2go/x2gogetports[6732]:
db_getports called, server: mydebianbox; return value: |30001| |30002|
|30003|
Mar  3 19:13:20 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:13:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:13:20 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 pre-resume
Mar  3 19:13:20 mydebianbox /usr/lib/x2go/x2goresume[6807]: db_resume
called, session ID: username-52-1393870339_stDXFCE_dp32, client:
192.168.10.98, gr_port: 30001, sound_port: 30002, fs_port: 30003
Mar  3 19:13:20 mydebianbox /usr/bin/x2goresume-session: client
192.168.10.98 has successfully resumed session with ID
username-52-1393870339_stDXFCE_dp32
Mar  3 19:13:20 mydebianbox /usr/bin/x2gosetkeyboard: x2gosetkeyboard
called with options: username-52-1393870339_stDXFCE_dp32
Mar  3 19:13:20 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_DESKTOPSHARING
Mar  3 19:13:20 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_DESKTOPSHARING
Mar  3 19:13:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver.features: x2goserver.features
called with options: X2GO_DESKTOPSHARING
Mar  3 19:13:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-xsession.features:
x2goserver-xsession.features called with options: X2GO_DESKTOPSHARING
Mar  3 19:13:20 mydebianbox /usr/bin/x2gofeature: x2gofeature called
with options: X2GO_RUN_EXTENSIONS
Mar  3 19:13:20 mydebianbox
/usr/share/x2go/x2gofeature.d/x2goserver-extensions.features:
x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Mar  3 19:13:20 mydebianbox /usr/bin/x2goserver-run-extensions:
x2goserver-run-extensions called with options:
username-52-1393870339_stDXFCE_dp32 post-resume
Mar  3 19:13:21 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:22 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:23 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:24 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:25 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:26 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:27 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:28 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:29 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:30 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:31 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:32 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:33 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:34 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:35 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:36 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:37 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:38 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:39 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:40 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:41 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:42 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:43 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:44 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:45 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:46 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:47 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:48 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:49 mydebianbox /usr/bin/x2gosetkeyboard: Waiting for
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard to
appear
Mar  3 19:13:50 mydebianbox /usr/bin/x2gosetkeyboard:
/home/username/.x2go/C-username-52-1393870339_stDXFCE_dp32/keyboard did
not appear within 30s after agent startup
Mar  3 19:14:20 mydebianbox /usr/lib/x2go/x2gochangestatus[7292]:
db_changestatus called, session ID: username-52-1393870339_stDXFCE_dp32,
new status: S
Mar  3 19:14:20 mydebianbox /usr/sbin/x2gocleansessions[4001]:
username-52-1393870339_stDXFCE_dp32 is suspended, changing status from R
to S
Mar  3 19:14:20 mydebianbox /usr/sbin/x2gocleansessions[4001]:
username-52-1393870339_stDXFCE_dp32: unmounting all shares
Mar  3 19:14:20 mydebianbox /usr/bin/x2goumount-session[7314]:
x2goumount-session has been called with options:
username-52-1393870339_stDXFCE_dp32
Mar  3 19:14:20 mydebianbox /usr/bin/x2goumount-session[7314]:
db_getdisplay called, session ID: username-52-1393870339_stDXFCE_dp32;
return value: 52
Mar  3 19:14:20 mydebianbox /usr/bin/x2goumount-session[7314]:
db_getmounts called, session ID: username-52-1393870339_stDXFCE_dp32;
return value:



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#302; Package x2goserver. (Wed, 02 Apr 2014 16:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Borys Saulyak <Borys.Saulyak@eumetsat.int>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 16:25:02 GMT) Full text and rfc822 format available.

Message #15 received at 302@bugs.x2go.org (full text, mbox):

From: Borys Saulyak <Borys.Saulyak@eumetsat.int>
To: "302@bugs.x2go.org" <302@bugs.x2go.org>
Subject: I think I found the way to reproduce it!
Date: Wed, 2 Apr 2014 18:12:52 +0200
Hi guys,


I have quite often a problem to resume a session that was suspended after unexpected disconnect of the client.
In most of the cases it does not work.

On the client side I get this:
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
Loop: PANIC! The remote NX proxy closed the connection.
Loop: PANIC! Failure negotiating the session in stage '7'.
Loop: PANIC! Wrong version or invalid session authentication cookie.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_24'. Assuming agent session.
Loop: PANIC! The remote NX proxy closed the connection.


On the server side I see this:
Apr  1 07:09:00 xxx /usr/local/bin/x2gosetkeyboard: Setting X keyboard according to /home/dadfmg/.x2go/C-dadfmg-77-1396335925_stDKDE_dp24/keyboard
Apr  1 07:11:32 xxx sshd[9739]: Accepted keyboard-interactive/pam for dadfmg from 10.10.1.13 port 59401 ssh2
Apr  1 07:11:34 xxx /usr/local/bin/x2gosuspend-session: session with ID dadfmg-77-1396335925_stDKDE_dp24 has been suspended successfully
Apr  1 07:11:36 xxx /usr/local/bin/x2goresume-session: client 10.10.1.13 has successfully resumed session with ID dadfmg-77-1396335925_stDKDE_dp24
Apr  1 07:11:36 xxx sshd[9742]: error: connect_to localhost port 30081: failed.
Apr  1 07:11:36 xxx sshd[9742]: channel_by_id: 0: bad id: channel free
Apr  1 07:11:36 xxx sshd[9742]: Disconnecting: Received ieof for nonexistent channel 0.

I am on the latest version of client/server.

I also noticed that I can achieve the same result if I suspend the session and then try to resume it by login in to the server via ssh and executing x2goresume-session <sessionid>
In this case even healthy and cleanly suspended session get screwed. 

So far I was not able to figure out how can I get the session back. It just does not work. I found a workaround for the time being which is to connect via local desktop (desktop sharing). This works even if session is screwed, but this is not what I want. I would like to get my session resumed correctly no matter what happened. Is this a known bug? Or is it only happening to me? I would really appreciate any help! X2GO is a great project and it has a great potential!

Thanks in advance for any help!


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#302; Package x2goserver. (Mon, 14 Apr 2014 06:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Borys Saulyak <Borys.Saulyak@eumetsat.int>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 06:20:02 GMT) Full text and rfc822 format available.

Message #20 received at 302@bugs.x2go.org (full text, mbox):

From: Borys Saulyak <Borys.Saulyak@eumetsat.int>
To: "302@bugs.x2go.org" <302@bugs.x2go.org>
Subject: Additional info
Date: Mon, 14 Apr 2014 08:15:01 +0200
Here is some more debug info from pyhoca-cli. It seems to me that the issue is rather server-side related:


borys@XXXX:~> pyhoca-cli --server MDADFS01 -u dadfmg --password xxx -R dadfmg-55-1397455646_stDKDE_dp24
pyhoca-cli[12336] NOTICE: preparing requested X2Go session
pyhoca-cli[12336] (PyHocaCLI) NOTICE: preparing requested X2Go session
pyhoca-cli[12336] (x2gosessregistry-pylib) NOTICE: registering X2Go session Pyhoca-Client_Session...
pyhoca-cli[12336] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[12336] (x2gocontrolsession-pylib) NOTICE: connecting to [MDADFS01]:22
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 1 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 2 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 3 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 4 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 5 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 6 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 7 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 8 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 9 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 10 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 11 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 12 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 13 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 14 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 15 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 16 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 17 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 18 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 19 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) WARN: incoming request to 127.0.0.1:30021 failed on attempt 20 of 20: ChannelException('Connect failed',)
pyhoca-cli[12336] (x2gofwtunnel-pylib) ERROR: incoming request to 127.0.0.1:30021 failed after 20 attempts
pyhoca-cli[12336] (x2goclient-pylib) ERROR: Forwarding tunnel request to [127.0.0.1]:30021 for session dadfmg-55-1397455646_stDKDE_dp24 (Pyhoca-Client_Session) was denied by remote X2Go/SSH server. Session startup failed.
pyhoca-cli[12336] (x2goproxy-pylib) ERROR: Bringing up NX3 proxy failed.
pyhoca-cli[12336] (PyHocaCLI) NOTICE: give the X2Go session some time to come up...


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#302; Package x2goserver. (Mon, 14 Apr 2014 06:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Borys Saulyak <Borys.Saulyak@eumetsat.int>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 06:45:02 GMT) Full text and rfc822 format available.

Message #25 received at 302@bugs.x2go.org (full text, mbox):

From: Borys Saulyak <Borys.Saulyak@eumetsat.int>
To: "302@bugs.x2go.org" <302@bugs.x2go.org>
Subject: interesting enough....
Date: Mon, 14 Apr 2014 08:37:33 +0200
Attempt to resume such session with pyhoca-cli simply kills the session off. 
Is this normal that pyhoca terminates sessions that it fails to resume?


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Sat, 03 May 2014 23:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wingllok@qq.com" <wingllok@qq.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 03 May 2014 23:45:01 GMT) Full text and rfc822 format available.

Message #30 received at 302@bugs.x2go.org (full text, mbox):

From: "Terry, Lisa" <lterry@howardcountymd.gov>
To: Undisclosed recipients:;
Subject: Did you get my first mail?
Date: Sat, 3 May 2014 23:26:29 +0000
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Thu, 12 Jun 2014 17:20:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to GZNG Tech <tech@gznianguan.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 12 Jun 2014 17:20:03 GMT) Full text and rfc822 format available.

Message #35 received at 302@bugs.x2go.org (full text, mbox):

From: GZNG Tech <tech@gznianguan.com>
To: 302@bugs.x2go.org
Subject: Possible solution to #302 ?
Date: Thu, 12 Jun 2014 18:58:17 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 patch

Hi,

Putting the attached file into your "extensions/post-suspend.d" folder
on the server...
may solve #302 issues...

On Ubuntu that would be an executable named "302_bug-fix" with the
following full path:
/usr/lib/x2go/extensions/post-suspend.d/302_bug-fix
(On other distros just simply locate your "post-suspend.d" folder and
put it there..
PS! Make sure its executable! (chmod 755).

Its may be good to clean up all old sessions before you
start a brand new and fresh session to test this fix.

We were able to reliably reproduce fault/non-fault conditions and after
applying this fix, we're seeing 100% success rates for session resume
with pyhoca....


The source of the issue seem to be that the NX port reappears on the
server within seconds of session suspension.... in  a state where where
its not ready for new incoming connections... (quite frankly it should
not be available at all at this time, should it?)  So either we're
reconnecting to this "faulty" port
or the fresh port fails to open due to the "old port" being in the
way....  Either way NX fails to resume...

The problem seem to be consistently occurring when rapidly
suspending/resuming with pyhoca and if x2goclient experience
abnormal/unclean disconnects that results in suspension.

Either way this little perl script will clean up those stray NX ports by
simply locating and connecting to them... (after which, the port closes,
as it should.)

If this indeed solves the #302 bug, this should probably move from
extensions to being part of the suspend scripts....  but for cleanliness
and admin-friendliness its easier to test it as an extension....

Let us know if this works for you!

(btw: If the supportive subs are adopted to Utils.pm  the script it self
would become quite compact)



Best Regards,
-GZNGET










[302_bug-fix (text/plain, attachment)]

Added tag(s) patch. Request was from GZNG Tech <tech@gznianguan.com> to 302-submit@bugs.x2go.org. (Thu, 12 Jun 2014 17:20:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Sun, 15 Jun 2014 00:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 15 Jun 2014 00:55:02 GMT) Full text and rfc822 format available.

Message #42 received at 302@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 302-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 302@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sun, 15 Jun 2014 02:51:37 +0200 (CEST)
tag #302 pending
fixed #302 4.0.1.16
thanks

Hello,

X2Go issue #302 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f89af5c

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f89af5c85fad9b0d2fe71ea26a0e599148c5caa7
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun Jun 15 02:16:09 2014 +0200

    Enforce immediate socket cleanup/closure after session suspension and termination. (Fixes: #302).
    
    Conflicts (resolved by Mike Gabriel):
    	X2Go/Utils.pm
    	x2goserver-compat/bin/x2goterminate
    	x2goserver.spec

diff --git a/debian/changelog b/debian/changelog
index f0fe9d3..62fb73d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -28,6 +28,11 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
 
+  [ Guangzhou Nianguan Electronics Technology Co.Ltd. ]
+  * New upstream version (4.0.1.16):
+    - Enforce immediate socket cleanup/closure after session suspension
+      and termination. (Fixes: #302).
+
  -- Mike DePaulo <mikedep333@gmail.com>  Thu, 23 Apr 2014 17:49:00 -0500
 
 x2goserver (4.0.1.15-0x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 15 Jun 2014 00:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 15 Jun 2014 00:55:02 GMT) Full text and rfc822 format available.

Message sent on to Avi Elbaz <avilebaz@gmail.com>:
Bug#302. (Sun, 15 Jun 2014 00:55:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Sun, 15 Jun 2014 20:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 15 Jun 2014 20:50:01 GMT) Full text and rfc822 format available.

Message #54 received at 302@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 302@bugs.x2go.org
Cc: Borys Saulyak <Borys.Saulyak@eumetsat.int>, 263-submitter@bugs.x2go.org, 206-submitter@bugs.x2go.org
Subject: Scanning for duplicated of #302 (please test)
Date: Sun, 15 Jun 2014 20:45:40 +0000
[Message part 1 (text/plain, inline)]
Control: reassign #263 x2goserver
Control: reassign #206 x2goserver
Control: merge #263 -1
Control: merge #206 -1

From studying our bug tracker reports, I assume that #206 and #263  
are duplicates of #302 which got closed yesterday.

@Borys, and other potential testers: can you please check what has  
been described at [1] and test either X2Go Server from the nightly  
builds or apply this patch [2] on top of x2goserver 4.0.1.15 (or build  
packages from x2goserver.git, branch=release/4.0.1.x). Unfortunately,  
the 302_bugfix script provided at [1] will only work on the X2Go  
Server 4.1.0.0-preview (x2goclient.git, branch=master), but not with  
current stable releases of X2Go Server.

Regards,
Mike

[1] http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=302#35
[2]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f89af5c85fad9b0d2fe71ea26a0e599148c5caa7


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 206-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 206-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:02 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 263-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 206 263 302 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 263-submitter@bugs.x2go.org. (Sun, 15 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Wed, 25 Jun 2014 09:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 25 Jun 2014 09:00:02 GMT) Full text and rfc822 format available.


Message #71 received at 302@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 302@bugs.x2go.org
Date: Wed, 25 Jun 2014 10:28:48 +0200
[Message part 1 (text/plain, inline)]
"""
Control: tag -1 - pending
Control: reassign -1 nxagent
Control: tag -1 confirmed

Hi all,

the provided commit (x2gonxcleanup) does not really solve this issue.
The fix needs to be done in NX directly.

I'm working on this issue.

Regards,
Alex
"""
-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Wed, 25 Jun 2014 14:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 25 Jun 2014 14:45:01 GMT) Full text and rfc822 format available.

Message #76 received at 302@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 302-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 302@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 25 Jun 2014 16:43:32 +0200 (CEST)
tag #302 pending
fixed #302 4.1.0.0
thanks

Hello,

X2Go issue #302 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=cee4857

The issue will most likely be fixed in src:x2goserver (4.1.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit cee48577633c72988dd8563ceae7bf04cfe7d518
Author: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Date:   Wed Jun 25 16:43:16 2014 +0200

    x2gostartagent, x2golistsession, x2gosuspend-session and x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This should help to avoid  session damage. (Fixes: #302).

diff --git a/debian/changelog b/debian/changelog
index 2f9906f..5a0fc35 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -114,6 +114,11 @@ x2goserver (4.1.0.0-0x2go1.1) UNRELEASED; urgency=low
   * New upstream version (4.1.0.0):
     - Use new script x2gopath in Perl::API. (Fixes: #86).
 
+  [ Oleksandr Shneyder ]
+  * x2gostartagent, x2golistsession, x2gosuspend-session and x2goresume-session
+    getting agent state from ~/.x2go/C-$SID/state. This should help to avoid 
+    session damage. (Fixes: #302).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 09 May 2014 13:06:24 +0200
 
 x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low


Marked as fixed in versions 4.1.0.0. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Wed, 25 Jun 2014 14:45:02 GMT) Full text and rfc822 format available.

Message sent on to Avi Elbaz <avilebaz@gmail.com>:
Bug#302. (Wed, 25 Jun 2014 14:45:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Wed, 25 Jun 2014 14:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 25 Jun 2014 14:50:02 GMT) Full text and rfc822 format available.


Message #86 received at 302@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: 302@bugs.x2go.org
Date: Wed, 25 Jun 2014 16:47:20 +0200
[Message part 1 (text/plain, inline)]
"""
Control: tag -1 - pending
Control: reassign -1 nxagent
Control: tag -1 confirmed

Hi all,

I made some changes in nx and x2goserver sources:

http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=cee48577633c72988dd8563ceae7bf04cfe7d518

http://code.x2go.org/gitweb?p=nx-libs.git;a=commit;h=c62b81304ca9906fe608f7387025162107d8d8ab

http://code.x2go.org/gitweb?p=nx-libs.git;a=commit;h=9f6eb6f796e81b00ff5b37c9abc89bb159e4e372

This should fix #302 I was able to restore all sessions on windows an
Linux after crashes of x2goclient, nxproxy and by network failure.

Please test it.

Regards,
Alex
"""
-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package x2goserver. (Thu, 26 Jun 2014 06:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Jun 2014 06:15:01 GMT) Full text and rfc822 format available.

Message #91 received at 302@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, 302@bugs.x2go.org
Subject: Patch review for #302 (was: Re: [X2Go-Dev] Bug#302: (no subject))
Date: Thu, 26 Jun 2014 06:10:58 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 nxagent
Control: found -1 3.5.0.24
Control: fixed -1 3.5.0.25
Control: tag -1 confirmed

### the bug is pending anyway, so I don't set the pending tag  
explicitly above.

Hi Alex

On  Mi 25 Jun 2014 16:47:20 CEST, Oleksandr Shneyder wrote:

> """
> Control: tag -1 - pending
> Control: reassign -1 nxagent
> Control: tag -1 confirmed

The bug tracker accepts these commands, but the leading quotes (""")  
of the mail body have prohibited the control commands to be executed  
in the BTS system...

> Hi all,
>
> I made some changes in nx and x2goserver sources:
>
> http://code.x2go.org/gitweb?p=x2goserver.git;a=commit;h=cee48577633c72988dd8563ceae7bf04cfe7d518

These patches have been committed on the master branch of X2Go Server.  
On the master branch we have been developing the next major release of  
X2Go Server for a while. The release of 4.1.0.0 has been pending  
because I want to get Telekinesis and mTeleplayer into that next major  
release (X2Go 4.1.0.0 ?). Maybe we need a new codename for that next  
release (Baikal+1).

(1)
So, if you want to get this code (or the essence of it) into the next  
x2goserver 4.0.1.16 release (which is overdue already), you have to  
backport your changes to the release/4.0.1.x branch in x2goserver.git

 $ git checkout release/4.0.1.x

With small patches, I normally try "git cherry-pick  
<commithash-on-master-branch>" but with such a large code changes,  
esp. around the newly introduced X2Go::Server Perl package, this is  
not possible. So the inclusion in x2goserver 4.0.1.16 would mean this:

  o backport the patch to release/4.0.1.x branch manually
  o you can try git cherry-pick, but the fixing of conflicts will  
need quite some Git knowledge...
  o commit the fix to release/4.0.1.x branch, mention it in changelog  
stanza of 4.0.1.16
  o on master branch move your changelog entry from 4.1.0.0 down to 4.0.1.16

(2)
The commit breaks the RPM nightly builds [1]. Once everything under  
(1) has been sorted out, I can take a look at that.

(3)
The commit causes some installation dependency trouble on  
Debian/Ubuntu. I won't get to fixing issues before this afternoon, so  
maybe you can take a look at that already (remove dropped dependencies  
/ Perl packages from "Depends:" (libfile-readbackwards-perl), add new  
dependencies / Perl packages to "Depends: where appropriate...  
(libswitch-perl is missing) ).

(4)
If the issue is really solved with this approach, please remove the  
x2gonxcleanup code again from the sources, so that we don't have  
unused code in the X2Go Server source tree.



> http://code.x2go.org/gitweb?p=nx-libs.git;a=commit;h=c62b81304ca9906fe608f7387025162107d8d8ab

(1)
The patch's filename (211_nxcomp_set_default_options.patch) won't make  
it into the release tarball. The debian/roll-tarball.sh scripts  
expects a ".full." in the patch filename for patches that are for  
nx-libs (nxcomp, nxcompshad, nxcompext, nx-X11) and a ".full+lite."  
for patches that should make it into the nx-libs tarball release _AND_  
into the nx-libs-lite tarball release (i.e. nxcomp+nxproxy).

So for this patch, please rename the file to  
211_nxcomp_set_default_options.full+lite.patch. Make sure to adapt the  
debian/patches/series file with this commit.

(2)
The patch number is 211, but the position in debian/patches/series is  
at the very end. Please match patch number _and_ position in the  
series file. At the end of the series file there are a few  
Debian/Ubuntu specific patches (".debian.patch"). Only those patches  
get applied at the very end of the patching processes. The patch  
number denotes, that the patch relates to an earlier patch of the same  
number.



> http://code.x2go.org/gitweb?p=nx-libs.git;a=commit;h=9f6eb6f796e81b00ff5b37c9abc89bb159e4e372

(1)
Please rename the patch filename to  
210_nxagent_nxcomp_save_session_state.full.patch
                                                                          ^^^^
(2)
Please fix the patch's position in the debian/patches/series file.

> This should fix #302 I was able to restore all sessions on windows an
> Linux after crashes of x2goclient, nxproxy and by network failure.


Greets,
Mike

[1] https://jenkins.x2go.org:8443/view/Server/


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.6-0~712~precise1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.1.0.0 and 4.0.1.16. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.24. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 302-submit@bugs.x2go.org. (Thu, 26 Jun 2014 06:15:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package nxagent. (Sun, 27 Jul 2014 15:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to mr.fredpetersclaimsagent038@y7mail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 27 Jul 2014 15:15:01 GMT) Full text and rfc822 format available.

Message #108 received at 302@bugs.x2go.org (full text, mbox):

From: British Online Co-Ordinators <donlim1@singnet.com.sg>
To: bnl@singnet.com.sg
Subject: Ref: UK/9420X2/68
Date: Sun, 27 Jul 2014 23:02:06 +0800 (SGT)
<<< No Message Collected >>>


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package nxagent. (Sat, 30 Aug 2014 09:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leho Kraav <leho@kraav.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 30 Aug 2014 09:15:02 GMT) Full text and rfc822 format available.


Message #113 received at 302@bugs.x2go.org (full text, mbox):

From: Leho Kraav <leho@kraav.com>
To: 302@bugs.x2go.org
Date: Sat, 30 Aug 2014 11:57:56 +0300
Mike's last message is lengthy and a bit confusing. I am unable to 
restore x2go sessions that have been suspended due to network 
connections on x2goserver-4.0.1.15 / gentoo.

Fortunately properly suspended sessions have been restoring well, so 
that's good, but network disconnections do happen and it would be great 
to have that working.

Is 4.0.1.16 beta or rc planned any time soon? Since the git tree has 
debian specific stuff, I wonder if some non-debian squashed patch can be 
generated I could apply to to Gentoo 4.0.1.15 tarball to test the latest 
fixes for #302?


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package nxagent. (Sat, 30 Aug 2014 09:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <x2go-ml-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 30 Aug 2014 09:30:02 GMT) Full text and rfc822 format available.

Message #118 received at 302@bugs.x2go.org (full text, mbox):

From: Stefan Baur <x2go-ml-1@baur-itcs.de>
To: 302@bugs.x2go.org
Subject: Bug#302
Date: Sat, 30 Aug 2014 11:22:52 +0200
Hi List,

we just received a message from Leho Kraav, sadly, Leho's mail setup is
broken. While Leho can send mail, messages directed to Leho bounce with
the error message "domain has no valid mail exchangers".

Therefore, I'm posting this on Leho's behalf, hoping that Leho can
somehow read list replies and bugtracker entries.

@Leho: Please fix your mail setup!

-Stefan

Message from Leho Kraav:

Mike's last message is lengthy and a bit confusing. I am unable to
restore x2go sessions that have been suspended due to network
connections on x2goserver-4.0.1.15 / gentoo.

Fortunately properly suspended sessions have been restoring well, so
that's good, but network disconnections do happen and it would be great
to have that working.

Is 4.0.1.16 beta or rc planned any time soon? Since the git tree has
debian specific stuff, I wonder if some non-debian squashed patch can be
generated I could apply to to Gentoo 4.0.1.15 tarball to test the latest
fixes for #302?


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#302; Package nxagent. (Thu, 25 Sep 2014 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Sep 2014 22:45:03 GMT) Full text and rfc822 format available.

Message #123 received at 302@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 302-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 302@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 26 Sep 2014 00:42:08 +0200 (CEST)
close #302
thanks

Hello,

we are very hopeful that X2Go issue #302 reported by you
has been resolved in the new release (4.0.1.16) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.16)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c43b862f2ae0e8980fb7ab5e519d692b07da5a45;hp=98c4f84d83d701823b7887f79d0d9f5ce8233bd4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.16-0x2go1
Status: RELEASE
Date: Fri, 26 Sep 2014 00:36:32 +0200
Fixes: 122 302 397 406 407 458 468 495 506 511 520 523 524 543 547 558 569 572 573 574 599 605 606 617 619
Changes: 
 x2goserver (4.0.1.16-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.1.16):
     - Make X2Go Server aware of the Openbox desktop environment
       (Command: OPENBOX) (Fixes: #605)
     - Make X2Go Server aware of the IceWM desktop environment
       (Command: ICEWM) (Fixes: #606)
     - Support GNOME Flashback session (GNOME 3.8+) on distro releases such as
       Ubuntu 13.10+ and debian Jessie
       (NOTE: For most users, GNOME Flashback currently will not work.
        This requires that gnome-flashback.session actually be installed. Not
        every Linux distro has it available.
        It also requires that the gnome-session binary not require
        hardware 3D acceleration for said session. Currently, upstream GNOME
        and GNOME 3.8+ in all Linux distros do require this, only 3rd party
        builds do not. See X2Go bug #599 for example.)
       (Thanks Eugene San (eugenesan@gmail.com))
     - Fix launching GNOME 3 Fallback session (GNOME 3.4 & 3.6) on distros other
       than Ubuntu and Debian (Fixes: #599)
     - Fix support for Cinnamon 1.4 (Linux Mint 13) (Fixes: #569)
     - Fix the logic for launching Cinnamon 2.0 and 2.2 (Linux Mint 17).
       (Fixes: #572)
       NOTE: Fixing this bug in x2goserver is not sufficient to make Cinnamon 2.0
       & 2.2 to work properly with X2Go. Bug #150 in nx-libs is still a problem.
       Fixing this bug enables Cinnamon 2.0 and 2.2 to launch to their
       "fallback mode", which has many bugs and missing features when compared to
       "software rendering" mode (cinnamon2d), but is still better than nothing.
   * debian/rules:
     + Improve dh_auto_clean override.
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.16):
     - Let x2goversion exit with an error if the X2Go component cannot be
       found.
     - Detect terminated sessions from NX log file. Also interpret a session as
       terminated if terminating just has started.
     - Detect started/starting/resumed/resuming sessions by explicitly scanning
       the NX session log file for those keywords.
     - Interpret NX sessions marked as "aborting session" as (not yet) terminated
       sessions.
     - Provide config option for server-side/global clipboard behaviour in
       x2goagent.options. (Fixes: #506).
     - Be aware of poly-instantiated /tmp directories bind-mounted under
       /tmp-inst. (Fixes: #406).
     - On suspend: Call x2goumount-session before sending SIGHUP to x2goagent.
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparison in x2goumount-session.
     - Fix problems with unmounting shared folders on session suspension/
       termination. Remove extra parentheses from the fusermount execution
       call. (Fixes: #407).
     - Use type -p instead of which in x2goumount-session. Suppress output
       to stdout properly.
     - Use if--then--else--fi during x2goagent resuming in x2goresume-session
       script.
     - More reliably sync the NX session state with the status information in
       the X2Go session DB.
     - x2golistdesktops: Also detect sharable desktop sessions behind abstract
       kernel namespace sockets.
     - Add logcheck rules for X2Go Server. Thanks to Frank Werner for sending
       them in.
     - Correctly use diversions from stderr to stdout in shell commands.
       (Fixes: #520).
     - Don't die if no session state file is found, as it will break X2Go
       completely after upgrading from versions << 4.0.1.16 if sessions
       are still running/suspended during package upgrade.
     - Provide support for client-side choice of clipboard security. (Fixes:
       #524).
     - Use more quotes in x2goruncommand.
     - Detect the exit of rootless applications that forked to background on
       application execution. (Fixes: #122).
     - Make x2goruncommand more robust.
     - Don't fail Xsession startup if any of the profile scripts returns
       with an error.
     - Silently timeout in x2golistdesktops if calls to x2golistsessions and/or
       xwininfo don't produce output within one second. (Fixes: #543).
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
     - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
       #574).
     - Abort session if env var $HOME is not set or if $HOME contains non-ASCII
       characters. (Fixes: #397).
     - Export XAUTHORITY env var in x2goruncommand to enable privilege upgrade
       for applications started via pkexec. (Fixes: #458).
     - x2gocleansessions: Don't print to stderr if the session state file cannot
       be found. This can happen during session startups. Report to system log
       instead.
     - Don't use Perl package File::ReadBackwards anymore.
     - Fix x2gormforward for 4.0.1.x release series (the X2Go::Log Perl module
       only exists in X2Go Server >= 4.1.0.0, the 4.0.1.x release series has to
       use x2gologlevel.pm in `x2gopath lib`. (Fixes: #617).
     - Pick x2gogetagentstate from 4.1.0.0 release series and adapt to usage
       with X2Go Server 4.0.1.x. (Fixes: #619).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.
     + Make sure x2gogetagentstate gets packaged in bin:package x2goserver.
     + Bump Standards: to 3.9.5. No changes needed.
     + Mark x2goserver-pyhoca bin:package as deprecated.
     + Drop D (x2goserver): libfile-readbackwards-perl.
   * x2goserver.spec:
     + Install {libdir}/x2go/x2gormforward into bin:package x2goserver.
     + Drop R (x2goserver): perl(File::ReadBackwards).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.16):
     - x2gostartagent, x2golistsession, x2gosuspend-session and
       x2goresume-session getting agent state from ~/.x2go/C-$SID/state. This
       should help to avoid session damage. Remove nxcleanup. (Fixes: #302,
       #511).
     - Move session file to /tmp/.x2go-$USER. (Fixes: #523).
     - Fix x2gostartagent failures if kbd is not "auto". Remove comma at end of
       options file.
     - Set default value for clipboard to "both" in x2gostartagent and
       x2goresume-session.
     - Clean user SSHD process if connection between server and client lost.
       This should fix error "Global request tcpip-forward failed". (Fixes:
       #495, #547).
 .
   [ Orion Paplowski ]
   * x2goserver.spec:
     + Sync Fedora .spec file with our upstream-provided x2goserver.spec.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 25 Sep 2014 22:45:23 GMT) Full text and rfc822 format available.

Notification sent to Avi Elbaz <avilebaz@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Sep 2014 22:45:23 GMT) Full text and rfc822 format available.

Message sent on to Avi Elbaz <avilebaz@gmail.com>:
Bug#302. (Thu, 25 Sep 2014 22:45:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 24 Oct 2014 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 16 14:18:35 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.